# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'gitcafeapi/version'

Gem::Specification.new do |spec|
  spec.name          = "gitcafeapi"
  spec.version       = Gitcafeapi::VERSION
  spec.authors       = ["Tex Wang"]
  spec.email         = ["990210wyx@gmail.com"]
  spec.licenses      = ['MIT']
  spec.summary       = "GitCafe Api Gem"
  spec.description   = "This Gem is for calling GitCafe's API, It helps you to use the APIs easier. And if you get confused with it, email me and I'll help you out."
  spec.homepage      = "https://api.gitcafe.com"

  # Prevent pushing this gem to RubyGems.org by setting 'allowed_push_host', or
  # delete this section to allow pushing this gem to any host.
#  if spec.respond_to?(:metadata)
#    spec.metadata['allowed_push_host'] = "none"
#  else
#    raise "RubyGems 2.0 or newer is required to protect against public gem pushes."
#  end

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.10"
  spec.add_development_dependency "rake", "~> 10.0"
end
